@import url('https://fonts.googleapis.com/css2?family=Lato&family=Oswald&family=Poppins:ital,wght@0,700;1,700&family=Roboto&family=Rubik:ital,wght@0,800;1,800&family=Teko:wght@700&display=swap');

body {
    background-color: white;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin: 0;
    scroll-behavior: smooth;
}

h1 {
    font-family: oswald;
    font-size: 45px;
    color: black;
    margin-bottom: 0px;
    padding: 0px;
}

h2 {
    font-family: oswald;
    font-size: 30px;
    padding: 0px;
    margin-bottom: 50px;
}

h3 {
    font-family: oswald;
    font-size: 30px;
    color: black;
    margin-top: 0px;
    margin-bottom: 0px;
}
h4 {
    font-family: oswald;
    font-size: 20px;
    color: black;
    margin-top: 12px;
    margin-bottom: 15px;
}

p {
    font-family: Lato;
    font-size: 16px;
    line-height: 2;
    margin-bottom: 2px;

}

.container {
    max-width: none;
    margin: 0 auto;
}
.nav-container {
    max-width: 1000px;
    margin: 0 auto;
}

header {
    background-color: 	#2e2e2e;
    color: white;
    padding: 1px;
}

.title-name {
    text-align: center;
    color: white;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: flex-end;
}

nav ul li {
    margin-left: 50px;
}

nav a {
    text-decoration: none;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: color 0.3s ease;
    font-family: oswald;
}

nav a:hover {
    color: green;
}

.profile {
    text-align: center;
    margin: 0px;
    justify-content: right;
    align-items: right;
}

.profile-container {
    background-image: url("assets/images/taylor-profile2.jpg");
    background-size: 4000px;
    background-repeat: no-repeat;
    background-position: 60% -450px;
    color: black;
    border-radius: 5px;
    padding: 40px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    height: 475px;
    justify-content: right;
    align-items: right;
}

.profile-content {
    display: flex;
    justify-content: right;
    align-items: right;
    width: 400px;
    background-color: #ffffff;
    margin-top: 100px;
    margin-bottom: auto;
    margin-left: 150px;
    border-radius: 5px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.inner-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.profile-text {
    flex: 1;
    text-align: center;
    padding: 0px;
}

.about-me {
    text-align: left;
    margin: 0px 0;

}

.about-container {
    background-color: #ffffff;
    color:black;
    border-radius: 5px;
    padding: 20px;
}

.about-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: left;
    max-width: 1000px;
    margin: 0 auto;
}

.about-content h2 {
    margin-bottom: 0px;
}

.about-text {
    flex: 1;
    text-align: left;
    padding: 0px;
}

.skills {
    text-align: center;
    margin: 60px 0;
}

.skills-container {
    background-color: #ffffff;
    color:black;
    border-radius: 5px;
    padding: 20px;
}

.skill-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.skill {
    padding: 10px;
    border-radius: 5px;
    font-size: 16px;
    display: flex;
    flex: 1 1 calc(20% - 40px);
    align-items: center;
    color: black;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    flex-direction: column;
    text-align: center;
    margin: 5px;
}

.skill i {
    margin-right: 10px;
}

.projects {
    text-align: center;
    margin: 60px 0;
}

.project-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #ffffff;
    color:black;
    border-radius: 5px;
    padding: 20px;
}

.project-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    max-width: 1200px;
}


.project {
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    flex: 1 1 calc(33.3333% - 20px);
    margin: 10px;
}
.project p {
    text-align: left;
    margin-left: 25px;
    margin-right: 25px;
    margin-bottom: 25px;
}

.project img {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
}

.project-title {
    font-family: oswald;
    font-size: 30px;
    color: black;
    margin-bottom: 10px;
}

.project-button {
    background-color: #2e2e2e;
    font-family: oswald;
    font-size: 18px;
    color: #fff;
    padding: 8px 40px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact-me {
    background-color: #ffffff;
    color: black
    text-align: center;
    align-items: center;
    margin: 60px auto;
    padding: 20px;
    border-radius: 5px;
    width: 1200px;
    max-width: 100%;
}

.contact-me h2,
.contact-me p {
    text-align: center;
}

form {
    max-width: 600px;
    margin: 20px auto;
    color: black;
}

.form-group {
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 8px;
    color: black;
}

input, textarea {
    width: 100%;
    padding: 12px;
    box-sizing: border-box;
    border: 1px solid #ddd;
    border-radius: 8px;
}

button {
    background-color: #333;
    color: #fff;
    padding: 15px 30px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #66bb6a;
}

.contact-button {
    background-color: #2e2e2e;
    font-family: oswald;
    font-size: 18px;
    color: #fff;
    padding: 10px 30px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.form-button {
    background-color: #2e2e2e;
    font-family: oswald;
    font-size: 18px;
    color: #fff;
    padding: 10px 30px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.mobile-menu {
    display: none;
}

.menu-icon {
    font-size: 24px;
    cursor: pointer;
    padding: 10px;
}

.mobile-nav {
    display: none;
}

.mobile-nav ul {
    list-style: none;
    padding: 0;
    justify-content: center;
}

.mobile-nav li {
    margin-bottom: 10px;
    text-align: center;
    margin-left: 0px;

}

.mobile-nav a {
    text-decoration: none;
    color: black;
    font-weight: bold;
    font-size: 18px;
    display: block;
}

@media only screen and (max-width: 768px) {

    .mobile-menu {
        display: block;
    }

    nav {
        display: none;
    }

    .nav-container {
        position: relative;
    }

    .menu-icon {
        display: block;
    }

    .mobile-nav {
        position: absolute;
        top: 60px;
        left: 0;
        background-color: white;
        width: 100%;
        padding: 20px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }

    .mobile-nav ul {
        text-align: center;
    }

    .mobile-nav li {
        margin-bottom: 10px;
    }

    .mobile-nav a {
        text-decoration: none;
        color: black;
        font-weight: bold;
        font-size: 18px;
    }
    body {
        font-size: 16px;
    }
    .project {
        flex: 1 1 calc(100% - 20px);
    }
    .skill img {
        height: 70px;
    }
    .contact-me {
        width: 90%;
        margin: 0 auto;
    }
    form {
        max-width: 600px;
    }
}

@media only screen and (max-width: 480px) {
    body {
        font-size: 14px;
    }
    .project {
        flex: 1 1 calc(100% - 20px);
    }
    .skill img {
        height: 50px;
    }
    .contact-me {
        width: 90%;
        margin: 0 auto;
    }
    form {
        max-width: 100%;
    }
    .form-group {
        width: 100%;
    }
    label {
        font-size: 16px;
    }
    input, textarea {
        width: 100%;
    }
    .form-button {
        width: 100%;
    }
}


@media only screen and (max-width: 768px) {

    .mobile-menu {
        display: block;
    }

    nav {
        display: none;
    }

    .nav-container {
        position: relative;
    }

    .menu-icon {
        display: block;
    }

    .mobile-nav {
        position: absolute;
        top: 60px;
        left: 0;
        background-color: white;
        width: 100%;
        max-width: 100%;
        padding: 0px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }

    .mobile-nav ul {
        text-align: center;
    }

    @media only screen and (max-width: 480px) {
        .mobile-nav {
            top: 40px;
            padding: 0px;
        }

        .mobile-nav li {
            margin-bottom: 15px; /* Increase margin for better spacing */
        }
        .profile-container {
            background-position: 63% -525px;
            margin-left: -50px;

            color: black;
            border-radius: 5px;
            padding: 40px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
            height: 325px;
            justify-content: right;
            align-items: right;
        }
        h1 {
            margin-top: 12px;
        }
        .about-container {
            padding-top: 0px;
        }
    }
}
